Skip to main content

Authentication and User Management API

The User Management APIs allow you to create, list, view, update, and delete users in XLServer. It allows you to do authentication or generate new token.


Generate New Token​

Endpoint

POST /xls-server/user/user/token

Description

Generate new token.

Request Example

curl -k -X POST https://<server>:8443/xls-server/user/user/token \
-H "Content-Type: application/json" \
-d '{"username":"ADMIN","password":"admin"}'


Authentication​

Endpoint

POST /xls-server/user/user/signin

Description

Authenticate into XLServer.

Request Example

curl -k -X POST https://<server>:8443/xls-server/user/user/signin \
-H "Content-Type: application/json" \
-d '{"username":"ADMIN","password":"admin"}'


List All Users​

Endpoint

GET /xls-server/user/list

Description

Retrieves all users.

Request Example

curl -k -X GET https://<server>:8443/xls-server/user/list \
-H "Authorization: Bearer <token>"

Get User​

Endpoint

GET /xls-server/user/user/{id}

Description

Retrieves detailed information about a specific user.

Path Parameters

ParameterTypeDescription
idstringUnique user identifier

Request Example

curl -k -X GET https://<server>:8443/xls-server/user/user/USER-1 \
-H "Authorization: Bearer <token>"

Delete User​

Endpoint

DELETE /xls-server/user/user/delete

Description

Deletes a specific user from XLServer.

Query Parameters

ParameterTypeDescription
inputstringUnique user identifier

Request Example

curl -k -X DELETE https://<server>:8443/xls-server/user/user/delete?input=USER-2 \
-H "Authorization: Bearer <token>"